library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity TRIWAVE is port
   (
        DATAOUT      : out  std_logic_vector(11 downto 0);
        SAMPLECLK    : in   std_logic
   );
end TRIWAVE;


architecture behavioral of TRIWAVE is

signal I : integer range 0 to 15;

begin
             with I select
             DATAOUT <=  "000000000000" when 0,    --000H  min
                         "001000000000" when 1,    --200H
                         "010000000000" when 2,    --400H
                         "011000000000" when 3,    --600H
                         "100000000000" when 4,    --800H
                         "101000000000" when 5,    --A00H
                         "110000000000" when 6,    --C00H
                         "111000000000" when 7,    --E00H
                         "111111111111" when 8,    --FFFH  max
                         "111000000000" when 9,    --E00H
                         "110000000000" when 10,   --C00H
                         "101000000000" when 11,   --A00H
                         "100000000000" when 12,   --800H
                         "011000000000" when 13,   --600H
                         "010000000000" when 14,   --400H
                         "001000000000" when 15;   --200H

             I <= I + 1 when (SAMPLECLK ' EVENT AND SAMPLECLK ='1' ); --on rising edge
end behavioral;
